# List option values

> Retrieve the values of a product option.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/product_options/{productOptionId}/option_values`

Retrieves the collection of Option Value resources.

Returns the values of a given option, ordered by `position`. Set the `Flowkiwi-Locale` header to read translatable `value` strings in a given locale.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Path parameters

| Name              | Type     | Required | Description                      |
| ----------------- | -------- | -------- | -------------------------------- |
| `productOptionId` | `string` | Yes      | ProductOptionResource identifier |

## Query parameters

| Name               | Type     | Required | Description                                                         |
| ------------------ | -------- | -------- | ------------------------------------------------------------------- |
| `order[createdAt]` | `string` | -        |                                                                     |
| `order[updatedAt]` | `string` | -        |                                                                     |
| `value`            | `string` | -        | Filter on translated field (strategy: ipartial)                     |
| `order[value]`     | `string` | -        | Order by translated field "value" (uses the Flowkiwi-Locale header) |

## Response

**200** - Option Value collection

| Property     | Type             | Required | Description |
| ------------ | ---------------- | -------- | ----------- |
| `totalItems` | `integer`        | -        |             |
| `search`     | `object`         | -        |             |
| `member`     | `Option.Value[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/product_options/<option_id>/option_values' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: 2026-07' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "member": [
    {
      "@context": "/api/contexts/OptionValue",
      "@id": "/api/OptionValues/9632f7c0-886a-51ea-84c5-4310834b35dd",
      "@type": "OptionValue",
      "id": "9632f7c0-886a-51ea-84c5-4310834b35dd",
      "value": "Blue",
      "position": 0,
      "productOption": "/api/productOptions/8efa43a2-193b-5183-9344-0e0e06207044",
      "variants": [
        "/api/variants/b0f846ae-ac7d-50f0-b7fa-2feb443ec772",
        "/api/variants/34ae2e77-fde7-5be7-be80-fd054dad88b9"
      ],
      "createdAt": "2024-01-01T00:00:00+00:00",
      "updatedAt": "2024-01-01T00:00:00+00:00"
    }
  ],
  "totalItems": 1
}
```
